# Class PRS_Attachment
extends PRS_ExchangeElement

PRS_Attachment describes file attachments. A PRS_Attachment may be associated to any object derived from PRS_ExchangeElement. PRS_Attachment is used to attach objects of any type including binary files, ASCII documents, or URLs. Only one object may be attached per PRS_Attachment. The actual attachment carried by the Attachment object is included by one of two methods: by reference or by value as embedded data. A 'by reference' approach links indirectly to the attachment through the use of a string identifier, e.g. a file name. An 'embedded data' approach means the actual binary data is included in PRS_Attachment.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Attachment

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

PRS_Attachment describes file attachments. A PRS_Attachment may be associated to any object derived from PRS_ExchangeElement. PRS_Attachment is used to attach objects of any type including binary files, ASCII documents, or URLs. Only one object may be attached per PRS_Attachment. The actual attachment carried by the Attachment object is included by one of two methods: by reference or by value as embedded data. A 'by reference' approach links indirectly to the attachment through the use of a string identifier, e.g. a file name. An 'embedded data' approach means the actual binary data is included in PRS_Attachment.

UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AttachmentName | string |
Description | string | The displayable attachment identifier. Used to define what will appear as the name of the attachment, as opposed to the specific attachment file name or URL.
AttachmentObject | string |
Description | string | The attachment itself, if embedded.
AttachmentReference | string |
Description | string | If the attachment is not embedded, where the attachment is located.
AttachmentSize | string |
Description | string | The size of the attachment in bytes.
AttachmentType | uint8 |
Description | string | The purpose of the attachment, as related to the diagnosis. 'Instructions' are compilable code. 'Background' is descriptive information. 'Log' is information captured in a log file.
ValueMap | string | 0, 1, 2, 254, 255
Values | string | Instructions, Background, Log, Unknown, Undefined
Format | string |
Description | string | The file format of the attachment.
Protocol | string |
Description | string | Protocol required to read the attachment (e.g., http).

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods